Get All Elements

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

With this API you can get all the executions made to the INE Lista nominal service

Important Points

Pagination Parameters

The next two pagination parameters are mandatory to do the request.

  • itemsPerPage, number of items by page, should be an integer between [1, 1000]
  • page, the page index, should be an integer greater than 0

The next two parameters are required if you want to filter by a period:

  • from
  • to

Both parameters are a string date and the format must comply with format ISO 8601.

The following errors can be returned if there is a problem with the request body or the execution of this service:

"itemsPerPage": ERROR_QUERY_PARAM_FORMAT; indicates that should be an integer value between 1 and 1000
"page": ERROR_QUERY_PARAM_FORMAT;  indicates that should be an integer value greater than 0

Response
kiban will return a list of items with the following structure:

{
    "currentPage": 1,
    "hasNextPage": false,
    "items": [
        {
            "id": "64136ff216945390109bb396",
            "createdAt": "2023-03-16T19:37:22.449Z",
            "finishedAt": "2023-03-16T19:37:22.45Z",
            "duration": 156226,
            "status": "SUCCESS"
        }
    ]
}

Where:

  • currentPage, is the index of the retrieved page
  • hasNextPage, indicate if there are more pages
  • items, list of items requested
    • id, identifier of the request.
    • createdAt, date time of the initial call
    • finishedAt, the date time of the response of the initial call
    • duration, how long it took to get the response.
    • status, status of the request
Query Params
int32
required
Defaults to 10

number of items by page, should be an integer between [1, 1000]

int32
required
Defaults to 1

page index, should be an integer greater than 0

string
Defaults to 2024-01-01T00:00:00Z

String with the format YYYY-MM-DDTHH:MM:SSZ eg 2023-04-20T13%3A24%3A45Z with the : encoded as %3A

string
Defaults to 2025-01-31T23:59:59Z

String with the format YYYY-MM-DDTHH:MM:SSZ eg 2025-04-20T13%3A24%3A45Z with the : encoded as %3A

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json